# Class AccessibilityManager

java.lang.Object
com.codename1.ui.accessibility.AccessibilityManager

public final class AccessibilityManager extends Object

Builds, caches, diffs, and dispatches actions for the portable semantic tree.

The tree is always constructed on the Codename One EDT. Native ports read the last immutable snapshot and post actions through `performAction(long, String, Object)`, so native accessibility threads never synchronously enter application code.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CHANGE_ACTIONS`
  `static final int`
  `CHANGE_ALL`
  `static final int`
  `CHANGE_BOUNDS`
  `static final int`
  `CHANGE_CONTENT`
  `static final int`
  `CHANGE_FOCUS`
  `static final int`
  `CHANGE_LIVE_REGION`
  `static final int`
  `CHANGE_PANE`
  `static final int`
  `CHANGE_STATE`
  `static final int`
  `CHANGE_STRUCTURE`
  `static final int`
  `CHANGE_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AccessibilityTreeSnapshot`
  `getCurrentSnapshot()`
  `static AccessibilityManager`
  `getInstance()`
  `int`
  `getPendingChanges()`
  `AccessibilityTreeSnapshot`
  `getSnapshot(Form form)`
  `void`
  `invalidate(Component component, int changeType)`
  `void`
  `invalidateAll()`
  `boolean`
  `performAction(long nodeId, String actionId, Object argument)`
  `boolean`
  `performActionByHash(long nodeId, int actionIdHash, Object argument)`
  Dispatches an action selected by a native bridge that can transport only an integer token.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CHANGE_STRUCTURE

    public static final int CHANGE_STRUCTURE
    See Also:
      - Constant Field Values

  - ### CHANGE_CONTENT

    public static final int CHANGE_CONTENT
    See Also:
      - Constant Field Values

  - ### CHANGE_STATE

    public static final int CHANGE_STATE
    See Also:
      - Constant Field Values

  - ### CHANGE_VALUE

    public static final int CHANGE_VALUE
    See Also:
      - Constant Field Values

  - ### CHANGE_BOUNDS

    public static final int CHANGE_BOUNDS
    See Also:
      - Constant Field Values

  - ### CHANGE_FOCUS

    public static final int CHANGE_FOCUS
    See Also:
      - Constant Field Values

  - ### CHANGE_ACTIONS

    public static final int CHANGE_ACTIONS
    See Also:
      - Constant Field Values

  - ### CHANGE_LIVE_REGION

    public static final int CHANGE_LIVE_REGION
    See Also:
      - Constant Field Values

  - ### CHANGE_PANE

    public static final int CHANGE_PANE
    See Also:
      - Constant Field Values

  - ### CHANGE_ALL

    public static final int CHANGE_ALL
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getInstance

    public static AccessibilityManager getInstance()

  - ### invalidate

    public void invalidate(Component component, int changeType)

  - ### invalidateAll

    public void invalidateAll()

  - ### getCurrentSnapshot

    public AccessibilityTreeSnapshot getCurrentSnapshot()

  - ### getSnapshot

    public AccessibilityTreeSnapshot getSnapshot(Form form)

  - ### getPendingChanges

    public int getPendingChanges()

  - ### performAction

    public boolean performAction(long nodeId, String actionId, Object argument)

  - ### performActionByHash

    public boolean performActionByHash(long nodeId, int actionIdHash, Object argument)
    Dispatches an action selected by a native bridge that can transport only an integer token.